[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomGroupBox.ParentBackground

Indicates if the control uses the background from the parent.

## Declaration

Source position: stdctrls.pp line 178

`public property TCustomGroupBox.ParentBackground : Boolean default True;`

## Description

The write access specifier is overridden in TCustomGroupBox. It calls the inherited method on entry.

If AParentBackground is True and ParentColor is True, the Color from the Parent control is assigned to the Color property. Otherwise, the value clDefault is stored in the Color property.

The UpdateOpaque method is called to adjust the control style flags in the control.

The default value for the property is True.

## See also

TCustomGroupBox.UpdateOpaque |  | Updates the control style when the parent background is used.
TControl.ParentBackground |  | Indicates if the control uses the background color from its Parent control.